Kuinka asentaa DeepFaceLab Linuxiin syväväärennettyjen videoiden luomiseksi

Useiden vuosien ajan Internetissä on ns deepfake-videoita, mutta viime kuukausina sen suosio on lisääntynyt huomattavasti erilaisten työkalujen ja sovellusten ansiosta, jotka helpottavat luomista.

Deepfake on tekniikka, jota käytetään kuvien tai videoiden muokkaamiseen tekoälyn avulla, useimmissa tapauksissa sitä käytetään kasvojen asettamiseen toisen päälle, mikä luo väärennettyjä videoita vaikuttavilla tuloksilla.

Aikaisemmin deepfake-videoiden luominen oli taito, jonka oppiminen kesti vuosia, mutta nyt tekniikan kehittyessä se on erittäin helppo tehdä.

DeepFaceLab on Linuxille ja muille järjestelmille saatavilla oleva työkalu, jonka avulla voit luoda syväväärennettyjä videoita hyvin yksinkertaisella tavalla komentorivillä.

Saattaa vaikuttaa siltä, ​​että DeepFaceLabin käyttöä on erittäin vaikea käyttää, mutta ei mitään muuta kuin päinvastoin, vain suorittamalla muutama komentosarja voit muokata videota ja lisätä uuden kasvon päähenkilöön.

Kuinka asentaa DeepFaceLab Linuxiin

DeepFaceLabin asentamiseksi sinun on ensin asennettava Anaconda3 käyttämällä Virallinen sivusto ja sitten sinun on alustettava se seuraavilla komennoilla:

vie PATH = ~ / anaconda3 / bin: $ PATH conda init bash

Nyt voit siirtyä DeepFacebLabin asentamiseen seuraavilla koodiriveillä:

conda create -y -n deepfacelab python = 3.6.6 cudatoolkit = 9.0 cudnn = 7.3.1 conda aktivoi deepfacelab git-kloonin https://github.com/lbfs/DeepFaceLab_Linux.git cd DeepFaceLab_Linux python -m pip install -r vaatimukset-cuda .txt

Jos sinulla on Ubuntu 16.04 tai 18.04, voit tarkistaa virallisen koontisivun, kuinka DeepFaceLab voidaan asentaa molempiin järjestelmiin.

DeepFaceLabin käyttö voi olla hankalaa, mutta kun olet lukenut tämän aina ajan tasalla olevan opetusohjelman, voit luoda syväväärennettyjä videoita kuin ammattilainen.

Jos sinulla on ongelmia DeepFaceLabin asennuksessa tai käytössä, autamme mielellämme kommenteissa.


Artikkelin sisältö noudattaa periaatteita toimituksellinen etiikka. Ilmoita virheestä napsauttamalla täällä.

5 kommenttia, jätä omasi

Jätä kommentti

Sähköpostiosoitettasi ei julkaista.

*

*

  1. Vastaa tiedoista: AB Internet Networks 2008 SL
  2. Tietojen tarkoitus: Roskapostin hallinta, kommenttien hallinta.
  3. Laillistaminen: Suostumuksesi
  4. Tietojen välittäminen: Tietoja ei luovuteta kolmansille osapuolille muutoin kuin lain nojalla.
  5. Tietojen varastointi: Occentus Networks (EU) isännöi tietokantaa
  6. Oikeudet: Voit milloin tahansa rajoittaa, palauttaa ja poistaa tietojasi.

  1.   Kovempi dijo

    Kuinka voin käynnistää ohjelman, kun se on asennettu, tai miten voin tarkistaa, että se toimii?

  2.   HUGO FERNANDO CARRERA TOASA dijo

    Kiitos jakamisesta
    kun ratkaisen seuraavan.
    VIRHE: Tensorflow-gpu == 1.12.0 (from -r vaatimukset-cuda.txt (rivi 5)) -vaatimuksen mukaista versiota ei löydy (versioista: 1.13.0rc1, 1.13.0rc2, 1.13.1, 1.13.2 .1.14.0, 0rc1.14.0, 1rc1.14.0, 1.15.0, 0rc2.0.0, 0a2.0.0, 0b2.0.0, 1b2.0.0, 0rc2.0.0, 1rcXNUMX)
    VIRHE: Vastaavaa jakaumaa ei löytynyt tensorflow-gpu == 1.12.0 (-r vaatimukset-cuda.txt-tiedostosta (rivi 5))
    auttaisitko minua

  3.   Ricardo dijo

    Hei,

    Se antaa minulle saman virheen, jota HUGO FERNANDO CARRERA TOASA kommentoi

    VIRHE: Tensorflow-gpu == 1.12.0 (from -r vaatimukset-cuda.txt (rivi 5)) -vaatimuksen mukaista versiota ei löydy (versioista: 1.13.0rc1, 1.13.0rc2, 1.13.1, 1.13.2 .1.14.0, 0rc1.14.0, 1rc1.14.0, 1.15.0, 0rc1.15.0, 1rc1.15.0, 2rc1.15.0, 3rc1.15.0, 2.0.0, 0a2.0.0, 0b2.0.0, 1b2.0.0, 0rc2.0.0 (1rc2.0.0, 2rc2.0.0, XNUMX)
    VIRHE: Vastaavaa jakaumaa ei löytynyt tensorflow-gpu == 1.12.0 (-r vaatimukset-cuda.txt-tiedostosta (rivi 5))

  4.   Francisco Diaz Carsí dijo

    Hei
    Sanot "DeepFaceLabin käyttö voi olla hankalaa, mutta kun olet lukenut tämän aina ajan tasalla olevan opetusohjelman, voit luoda syväväärennettyjä videoita kuin ammattilainen." mutta missä on käyttöopastus?

    Kiitos, terveisiä.

  5.   Guillermo dijo

    Hei, hyvää huomenta, haluaisin tietää, voiko joku auttaa minua Windows 10: n deepface-sovelluksessa. Asia on, että lataan sen ja seuraamalla video-opetusohjelman vaiheita asennan nvidian näytönohjaimen ohjaimet, cuda_9.0.176 _win10.exe, cuda_9.0.176.1_windows.exe-korjaus, cudnn-9.0-windows10-x64-v7.6.5.32.zip-kirjasto ja syväpintaohjelma. Tein kaikki vaiheet, mutta kun avaan ohjelman, saan sen pienen tyhjän ikkunan, joka sanoo tämän: Changelog:
    - Orava päivittää automaattisesti
    - Lisätyt kuvatiedostot uudelleen
    - Korjattu ei-kasvovirhe
    - Uudet yhdistämisvaihtoehdot
    - Päivitetty TF 1.5: een, CUDA 9: een
    Muista ladata ja asentaa myös ydinkirjasto. Kun se on ladattu ja asennettu foorumin ohjeiden mukaisesti, lataa sovellus uudelleen ja tämä viesti tulee
    katoavat.
    Toisin sanoen ohjelma ei avaudu minulle. Arvostan syvästi mitä tahansa apua, jota voit antaa minulle. Erittäin kiitollinen. William